### Hierarchy

- Controller

## Index

### Properties

- active
- drawActive
- drawPoint
- drawRectangle
- drawText
- drawToolActivate
- featureHelper_
- features
- gettextCatalog_
- gmfSnapping_
- interactions_
- listSelectionInProgress_
- listenerKeys_
- longPressTimeout_
- mainListenerKeys_
- map
- mapListenerKeys_
- mapSelectActive
- mapSelectToolActivate
- measureArea
- measureAzimut
- measureLength
- menuListenerKey_
- menu_
- modifyToolActivate
- modify_
- nameProperty
- ngeoDrawFeatureUid
- ngeoToolActivateMgr_
- rotateToolActivate
- rotate_
- scope_
- selectedFeature
- selectedFeatures
- timeout_
- translateToolActivate
- translate_

### Methods

- $onDestroy
- $onInit
- clearFeatures
- getFeaturesArray
- handleActiveChange_
- handleFeaturesAdd_
- handleFeaturesRemove_
- handleMapClick_
- handleMapContextMenu_
- handleMapInteractionsAdd_
- handleMapSelectActiveChange_
- handleMapTouchEnd_
- handleMapTouchStart_
- handleMenuActionClick_
- handleRotateEnd_
- handleTranslateEnd_
- initializeInteractions_
- registerInteractions_
- removeFeature
- selectFeatureFromList
- unregisterInteractions_

## Properties

### active

active: boolean

- Defined in src/drawing/drawFeatureComponent.js:146

### drawActive

drawActive: boolean

- Defined in src/drawing/drawFeatureComponent.js:151

### drawPoint

drawPoint: Draw

- Defined in src/drawing/drawFeatureComponent.js:370

### drawRectangle

drawRectangle: Draw

- Defined in src/drawing/drawFeatureComponent.js:390

### drawText

drawText: Draw

- Defined in src/drawing/drawFeatureComponent.js:395

### drawToolActivate

drawToolActivate: default

- Defined in src/drawing/drawFeatureComponent.js:156

### featureHelper_

featureHelper_: FeatureHelper

- Defined in src/drawing/drawFeatureComponent.js:196

### features

features: Collection<Feature<Geometry>>

- Defined in src/drawing/drawFeatureComponent.js:201

### gettextCatalog_

gettextCatalog_: gettextCatalog

- Defined in src/drawing/drawFeatureComponent.js:361

### gmfSnapping_

gmfSnapping_: any

- Defined in src/drawing/drawFeatureComponent.js:191

### interactions_

interactions_: Collection<Interaction>

- Defined in src/drawing/drawFeatureComponent.js:221

### listSelectionInProgress_

listSelectionInProgress_: boolean

- Defined in src/drawing/drawFeatureComponent.js:315

Flag used to determine whether the selection of a feature was made from the selection of an item from the list or not (the map, contextual menu, etc.)

### listenerKeys_

listenerKeys_: EventsKey[]

- Defined in src/drawing/drawFeatureComponent.js:296

### longPressTimeout_

longPressTimeout_: number

- Defined in src/drawing/drawFeatureComponent.js:171

### mainListenerKeys_

mainListenerKeys_: EventsKey[]

- Defined in src/drawing/drawFeatureComponent.js:301

### map

map: Map

- Defined in src/drawing/drawFeatureComponent.js:141

### mapListenerKeys_

mapListenerKeys_: EventsKey[]

- Defined in src/drawing/drawFeatureComponent.js:306

### mapSelectActive

mapSelectActive: boolean

- Defined in src/drawing/drawFeatureComponent.js:166

### mapSelectToolActivate

mapSelectToolActivate: default

- Defined in src/drawing/drawFeatureComponent.js:176

### measureArea

measureArea: default

- Defined in src/drawing/drawFeatureComponent.js:380

### measureAzimut

measureAzimut: default

- Defined in src/drawing/drawFeatureComponent.js:385

### measureLength

measureLength: default

- Defined in src/drawing/drawFeatureComponent.js:375

### menuListenerKey_

menuListenerKey_: EventsKey

- Defined in src/drawing/drawFeatureComponent.js:240

### menu_

menu_: default

- Defined in src/drawing/drawFeatureComponent.js:235

### modifyToolActivate

modifyToolActivate: default

- Defined in src/drawing/drawFeatureComponent.js:245

### modify_

modify_: default

- Defined in src/drawing/drawFeatureComponent.js:226

### nameProperty

nameProperty: string

- Defined in src/drawing/drawFeatureComponent.js:359

### ngeoDrawFeatureUid

ngeoDrawFeatureUid: string

- Defined in src/drawing/drawFeatureComponent.js:161

### ngeoToolActivateMgr_

ngeoToolActivateMgr_: ToolActivateMgr

- Defined in src/drawing/drawFeatureComponent.js:206

### rotateToolActivate

rotateToolActivate: default

- Defined in src/drawing/drawFeatureComponent.js:286

### rotate_

rotate_: default

- Defined in src/drawing/drawFeatureComponent.js:267

### scope_

scope_: IScope

- Defined in src/drawing/drawFeatureComponent.js:181

### selectedFeature

selectedFeature: Feature<Geometry>

- Defined in src/drawing/drawFeatureComponent.js:211

### selectedFeatures

selectedFeatures: Collection<Feature<Geometry>>

- Defined in src/drawing/drawFeatureComponent.js:216

### timeout_

timeout_: ITimeoutService

- Defined in src/drawing/drawFeatureComponent.js:186

### translateToolActivate

translateToolActivate: default

- Defined in src/drawing/drawFeatureComponent.js:291

### translate_

translate_: default

- Defined in src/drawing/drawFeatureComponent.js:250

## Methods

### $onDestroy

- $onDestroy(): void

- - Defined in src/drawing/drawFeatureComponent.js:414

  Called upon destruction of the controller.

  #### Returns void

### $onInit

- $onInit(): void

- - Defined in src/drawing/drawFeatureComponent.js:401

  Called upon initialization of the controller.

  #### Returns void

### clearFeatures

- clearFeatures(): void

- - Defined in src/drawing/drawFeatureComponent.js:547

  #### Returns void

### getFeaturesArray

- getFeaturesArray(): Feature<Geometry>[]

- - Defined in src/drawing/drawFeatureComponent.js:541

  #### Returns Feature<Geometry>[]

  Array.

### handleActiveChange_

- handleActiveChange_(active: boolean): void

- - Defined in src/drawing/drawFeatureComponent.js:478

  Called when the active property of the this directive changes. Manage the activation/deactivation accordingly (event management, etc.)

  #### Parameters

  - ##### active: boolean

    Whether the directive is active or not.

  #### Returns void

### handleFeaturesAdd_

- handleFeaturesAdd_(evt: BaseEvent | Event): void

- - Defined in src/drawing/drawFeatureComponent.js:569

  #### Parameters

  - ##### evt: BaseEvent | Event

    Event.

  #### Returns void

### handleFeaturesRemove_

- handleFeaturesRemove_(evt: BaseEvent | Event): void

- - Defined in src/drawing/drawFeatureComponent.js:583

  #### Parameters

  - ##### evt: BaseEvent | Event

    Event.

  #### Returns void

### handleMapClick_

- handleMapClick_(evt: BaseEvent | Event): void

- - Defined in src/drawing/drawFeatureComponent.js:616

  #### Parameters

  - ##### evt: BaseEvent | Event

    Event.

  #### Returns void

### handleMapContextMenu_

- handleMapContextMenu_(evt: BaseEvent | Event): void

- - Defined in src/drawing/drawFeatureComponent.js:675

  #### Parameters

  - ##### evt: BaseEvent | Event

    Event.

  #### Returns void

### handleMapInteractionsAdd_

- handleMapInteractionsAdd_(evt: BaseEvent | Event): void

- - Defined in src/drawing/drawFeatureComponent.js:835

  #### Parameters

  - ##### evt: BaseEvent | Event

    Event.

  #### Returns void

### handleMapSelectActiveChange_

- handleMapSelectActiveChange_(active: boolean): void

- - Defined in src/drawing/drawFeatureComponent.js:592

  Called when the mapSelectActive property changes.

  #### Parameters

  - ##### active: boolean

    Whether the map select is active or not.

  #### Returns void

### handleMapTouchEnd_

- handleMapTouchEnd_(evt: BaseEvent | Event): void

- - Defined in src/drawing/drawFeatureComponent.js:665

  #### Parameters

  - ##### evt: BaseEvent | Event

    Event.

  #### Returns void

### handleMapTouchStart_

- handleMapTouchStart_(evt: BaseEvent | Event): void

- - Defined in src/drawing/drawFeatureComponent.js:656

  #### Parameters

  - ##### evt: BaseEvent | Event

    Event.

  #### Returns void

### handleMenuActionClick_

- handleMenuActionClick_(vertexInfo: number[], evt: BaseEvent | Event): void

- - Defined in src/drawing/drawFeatureComponent.js:783

  #### Parameters

  - ##### vertexInfo: number[]

    Vertex information, in case a vertex was clicked using the right button.

  - ##### evt: BaseEvent | Event

    Event.

  #### Returns void

### handleRotateEnd_

- handleRotateEnd_(evt: BaseEvent | Event): void

- - Defined in src/drawing/drawFeatureComponent.js:827

  #### Parameters

  - ##### evt: BaseEvent | Event

    Event.

  #### Returns void

### handleTranslateEnd_

- handleTranslateEnd_(evt: BaseEvent | Event): void

- - Defined in src/drawing/drawFeatureComponent.js:819

  #### Parameters

  - ##### evt: BaseEvent | Event

    Event.

  #### Returns void

### initializeInteractions_

- initializeInteractions_(): void

- - Defined in src/drawing/drawFeatureComponent.js:441

  Initialize interactions by setting them inactive and decorating them

  #### Returns void

### registerInteractions_

- registerInteractions_(): void

- - Defined in src/drawing/drawFeatureComponent.js:451

  Register interactions by adding them to the map

  #### Returns void

### removeFeature

- removeFeature(feature: Feature<Geometry>): void

- - Defined in src/drawing/drawFeatureComponent.js:558

  #### Parameters

  - ##### feature: Feature<Geometry>

    The feature to remove from the selection.

  #### Returns void

### selectFeatureFromList

- selectFeatureFromList(feature: Feature<Geometry>): void

- - Defined in src/drawing/drawFeatureComponent.js:532

  Method called when a selection occurs from the list, i.e. when an item in the list of features is clicked. Called from the template, so no need to update Angular's scope.

  #### Parameters

  - ##### feature: Feature<Geometry>

    Feature to select.

  #### Returns void

### unregisterInteractions_

- unregisterInteractions_(): void

- - Defined in src/drawing/drawFeatureComponent.js:463

  Register interactions by removing them to the map

  #### Returns void

Generated using TypeDoc